Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.aggregation
Class AggregateList

    java.lang.Object
      rice.p2p.aggregation.AggregateList

public class AggregateList
extends java.lang.Object

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Field Summary
`protected java.util.Hashtable` | `aggregateList` DESCRIBE THE FIELD
`protected java.lang.String` | `configFileName` DESCRIBE THE FIELD
`protected IdFactory` | `factory` DESCRIBE THE FIELD
`protected java.lang.String` | `label` DESCRIBE THE FIELD
`protected java.io.PrintStream` | `logFile` DESCRIBE THE FIELD
`protected java.lang.String` | `logFileName` DESCRIBE THE FIELD
`protected boolean` | `loggingEnabled` DESCRIBE THE FIELD
`protected long` | `nextSerial` DESCRIBE THE FIELD
`protected Id` | `rootKey` DESCRIBE THE FIELD
`protected boolean` | `wasReadOK` DESCRIBE THE FIELD

Constructor Summary
`AggregateList(java.lang.String configFileName, java.lang.String label, IdFactory factory, boolean loggingEnabled)` Constructor for AggregateList.

Method Summary
`void` | `addAggregateDescriptor(rice.p2p.aggregation.AggregateDescriptor aggr)` Adds a feature to the AggregateDescriptor attribute of the AggregateList object
`void` | `clear()` DESCRIBE THE METHOD
`java.util.Enumeration` | `elements()` DESCRIBE THE METHOD
`rice.p2p.aggregation.AggregateDescriptor` | `getADC(Id id)` Gets the ADC attribute of the AggregateList object
`Id` | `getRoot()` Gets the Root attribute of the AggregateList object
`Id[]` | `getSomePointers(int referenceThreshold, int max, Id[] excludes)` Gets the SomePointers attribute of the AggregateList object
`AggregationStatistics` | `getStatistics(long granularity, long range, int nominalReferenceCount)` Gets the Statistics attribute of the AggregateList object
`boolean` | `isEmpty()` Gets the Empty attribute of the AggregateList object
`void` | `logEntry(java.lang.String entry)` DESCRIBE THE METHOD
`boolean` | `readFromDisk()` DESCRIBE THE METHOD
`boolean` | `readOK()` DESCRIBE THE METHOD
`void` | `recalculateReferenceCounts(Id[] excludes)` DESCRIBE THE METHOD
`void` | `recoverLog()` DESCRIBE THE METHOD
`void` | `refreshAggregate(rice.p2p.aggregation.AggregateDescriptor adc, long lifetime)` DESCRIBE THE METHOD
`void` | `removeAggregateDescriptor(rice.p2p.aggregation.AggregateDescriptor aggr)` DESCRIBE THE METHOD
`void` | `resetMarkers()` DESCRIBE THE METHOD
`void` | `setAggregateLifetime(rice.p2p.aggregation.AggregateDescriptor adc, long lifetime)` Sets the AggregateLifetime attribute of the AggregateList object
`void` | `setObjectCurrentLifetime(rice.p2p.aggregation.AggregateDescriptor adc, int index, long lifetime)` Sets the ObjectCurrentLifetime attribute of the AggregateList object
`void` | `setObjectRefreshedLifetime(rice.p2p.aggregation.AggregateDescriptor adc, int index, long lifetime)` Sets the ObjectRefreshedLifetime attribute of the AggregateList object
`void` | `setRoot(Id root)` Sets the Root attribute of the AggregateList object
`void` | `writeToDisk()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### aggregateList

    protected final java.util.Hashtable aggregateList

  DESCRIBE THE FIELD

### configFileName

    protected final java.lang.String configFileName

  DESCRIBE THE FIELD

### logFileName

    protected final java.lang.String logFileName

  DESCRIBE THE FIELD

### label

    protected final java.lang.String label

  DESCRIBE THE FIELD

### factory

    protected final IdFactory factory

  DESCRIBE THE FIELD

### logFile

    protected final java.io.PrintStream logFile

  DESCRIBE THE FIELD

### loggingEnabled

    protected final boolean loggingEnabled

  DESCRIBE THE FIELD

### rootKey

    protected Id rootKey

  DESCRIBE THE FIELD

### wasReadOK

    protected boolean wasReadOK

  DESCRIBE THE FIELD

### nextSerial

    protected long nextSerial

  DESCRIBE THE FIELD

Constructor Detail

### AggregateList

    public AggregateList(java.lang.String configFileName,
                         java.lang.String label,
                         IdFactory factory,
                         boolean loggingEnabled)
                  throws java.io.IOException

  Constructor for AggregateList.

Parameters:
  `configFileName` - DESCRIBE THE PARAMETER
  `label` - DESCRIBE THE PARAMETER
  `factory` - DESCRIBE THE PARAMETER
  `loggingEnabled` - DESCRIBE THE PARAMETER
Throws:
  `java.io.IOException` - DESCRIBE THE EXCEPTION

Method Detail

### getRoot

    public Id getRoot()

  Gets the Root attribute of the AggregateList object

  Returns:
    The Root value

### isEmpty

    public boolean isEmpty()

  Gets the Empty attribute of the AggregateList object

  Returns:
    The Empty value

### getADC

    public rice.p2p.aggregation.AggregateDescriptor getADC(Id id)

  Gets the ADC attribute of the AggregateList object

  Parameters:
    `id` - DESCRIBE THE PARAMETER
  Returns:
    The ADC value

### getSomePointers

    public Id[] getSomePointers(int referenceThreshold,
                                int max,
                                Id[] excludes)

  Gets the SomePointers attribute of the AggregateList object

  Parameters:
    `referenceThreshold` - DESCRIBE THE PARAMETER
    `max` - DESCRIBE THE PARAMETER
    `excludes` - DESCRIBE THE PARAMETER
  Returns:
    The SomePointers value

### getStatistics

    public AggregationStatistics getStatistics(long granularity,
                                               long range,
                                               int nominalReferenceCount)

  Gets the Statistics attribute of the AggregateList object

  Parameters:
    `granularity` - DESCRIBE THE PARAMETER
    `range` - DESCRIBE THE PARAMETER
    `nominalReferenceCount` - DESCRIBE THE PARAMETER
  Returns:
    The Statistics value

### setRoot

    public void setRoot(Id root)

  Sets the Root attribute of the AggregateList object

  Parameters:
    `root` - The new Root value

### setAggregateLifetime

    public void setAggregateLifetime(rice.p2p.aggregation.AggregateDescriptor adc,
                                     long lifetime)

  Sets the AggregateLifetime attribute of the AggregateList object

  Parameters:
    `adc` - The new AggregateLifetime value
    `lifetime` - The new AggregateLifetime value

### setObjectCurrentLifetime

    public void setObjectCurrentLifetime(rice.p2p.aggregation.AggregateDescriptor adc,
                                         int index,
                                         long lifetime)

  Sets the ObjectCurrentLifetime attribute of the AggregateList object

  Parameters:
    `adc` - The new ObjectCurrentLifetime value
    `index` - The new ObjectCurrentLifetime value
    `lifetime` - The new ObjectCurrentLifetime value

### setObjectRefreshedLifetime

    public void setObjectRefreshedLifetime(rice.p2p.aggregation.AggregateDescriptor adc,
                                           int index,
                                           long lifetime)

  Sets the ObjectRefreshedLifetime attribute of the AggregateList object

  Parameters:
    `adc` - The new ObjectRefreshedLifetime value
    `index` - The new ObjectRefreshedLifetime value
    `lifetime` - The new ObjectRefreshedLifetime value

### readOK

    public boolean readOK()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### elements

    public java.util.Enumeration elements()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### recoverLog

    public void recoverLog()

  DESCRIBE THE METHOD

### logEntry

    public void logEntry(java.lang.String entry)

  DESCRIBE THE METHOD

  Parameters:
    `entry` - DESCRIBE THE PARAMETER

### clear

    public void clear()

  DESCRIBE THE METHOD

### resetMarkers

    public void resetMarkers()

  DESCRIBE THE METHOD

### refreshAggregate

    public void refreshAggregate(rice.p2p.aggregation.AggregateDescriptor adc,
                                 long lifetime)

  DESCRIBE THE METHOD

  Parameters:
    `adc` - DESCRIBE THE PARAMETER
    `lifetime` - DESCRIBE THE PARAMETER

### addAggregateDescriptor

    public void addAggregateDescriptor(rice.p2p.aggregation.AggregateDescriptor aggr)

  Adds a feature to the AggregateDescriptor attribute of the AggregateList object

  Parameters:
    `aggr` - The feature to be added to the AggregateDescriptor attribute

### removeAggregateDescriptor

    public void removeAggregateDescriptor(rice.p2p.aggregation.AggregateDescriptor aggr)

  DESCRIBE THE METHOD

  Parameters:
    `aggr` - DESCRIBE THE PARAMETER

### recalculateReferenceCounts

    public void recalculateReferenceCounts(Id[] excludes)

  DESCRIBE THE METHOD

  Parameters:
    `excludes` - DESCRIBE THE PARAMETER

### readFromDisk

    public boolean readFromDisk()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### writeToDisk

    public void writeToDisk()

  DESCRIBE THE METHOD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.